Bug 1272433 - A "short" table of contents would improve the document (IMO)
A "short" table of contents would improve the document (IMO)
Status: NEW
Product: Fedora Documentation
Classification: Fedora
Component: system-administrator's-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Wadeley
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 07:57 EDT by N. Jackson
Modified: 2016-08-23 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description N. Jackson 2015-10-16 07:57:14 EDT
Description of problem:

The Fedora 21 System Administrator's Guide has a very detailed table of contents which is good, but it hinders quick navigation and makes it hard to grasp the scope of the document.

IMO it would improve the document to add a "short" table of contents before the existing long table of contents. Something with the following level of detail would be good:

	Preface
		1. Target Audience
		2. How to Read this Book
		3. Document Conventions
		4. We Need Feedback!
		5. Acknowledgments

	I. Basic System Configuration
		1. Opening Graphical Applications
		2. System Locale and Keyboard Configuration
		3. Configuring the Date and Time
		4. Managing Users and Groups

	II. Package Management
		5. Yum

	III. Infrastructure Services
		6. Services and Daemons
		7. OpenSSH
		8. TigerVNC

	IV. Servers
		9. Web Servers
		10. Mail Servers
		11. Directory Servers
		12. File and Print Servers
		13. Configuring NTP Using the chrony Suite
		14. Configuring NTP Using ntpd
		15. Configuring PTP Using ptp4l

	V. Monitoring and Automation
		16. System Monitoring Tools
		17. Viewing and Managing Log Files
		18. Automating System Tasks
		19. OProfile

	VI. Kernel, Module and Driver Configuration
		20. Working with the GRUB 2 Boot Loader
		21. Manually Upgrading the Kernel
		22. Working with Kernel Modules

	A. RPM

	B. Revision History

	Index


Version-Release number of selected component (if applicable):

Current version at https://docs.fedoraproject.org/en-US/Fedora/21/html-single/System_Administrators_Guide/index.html on 2015-10-16.


Additional info:

Thank you.
Comment 1 Stephen Wadeley 2016-07-14 12:48:02 EDT
Hello

Very sorry for not responding for so long, I did bring this up at one of the docs meetings shortly you raised this as any changes would need to be coordinated with other guides.

The guides are built using the Publican system[1], and there are settings to all changing the depth, but as far as I know we cannot have two table of contents (there are moves to change the system BTW).

You could clone the repo[2] and build a local copy in html-single, or my personal favourite, html-desktop, which puts a table of contents at the left hand side.

Please note, for Fedora 24, improved the explanation of the sections[3] in the Preface.

Regards
Stephen


[1] https://docs.fedoraproject.org/en-US/Fedora_Contributor_Documentation/1/html/Users_Guide/index.html

[2] https://pagure.io/group/fedora-docs

[3] https://docs.fedoraproject.org/en-US/Fedora/24/html/System_Administrators_Guide/sect-Preface-Book_Organization.html
Comment 2 N. Jackson 2016-08-19 16:36:41 EDT
Hello Stephen,

Did you need any more information from me on this? The bug is flagged "needinfo" (I'm guessing by mistake) so the bug tracker has been pestering me these last few weeks with emails asking for a response!

I see there is a check box to clear the needinfo flag below the box in which I'm typing this, and I have checked it, so if you didn't need any more information from me, I think you can safely ignore this message.

Thanks.

Regards,
N.
Comment 3 Stephen Wadeley 2016-08-23 15:19:13 EDT
Hello

Was wondering if the information in comment 1 was sufficiently helpful or if you are still struggling to find things.


Than you

Note You need to log in before you can comment on or make changes to this bug.